Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.spi.label.swt
Class LabelSWTRenderer

    java.lang.Object
      org.eclipse.emf.ecp.view.model.common.AbstractRenderer<VELEMENT>
          org.eclipse.emfforms.spi.swt.core.AbstractSWTRenderer<VLabel>
              org.eclipse.emf.ecp.view.spi.label.swt.LabelSWTRenderer

Direct Known Subclasses:
  LabelRapRenderer

    public class LabelSWTRenderer

extends AbstractSWTRenderer<VLabel>

Renders an `VLabel` to a SWT `Label`.

Since:
  1.5

Constructor Summary
`LabelSWTRenderer(VLabel vElement, ViewModelContext viewContext, ReportService reportService, EMFFormsDatabinding emfFormsDatabinding, VTViewTemplateProvider vtViewTemplateProvider)` Default Constructor.

Method Summary
`SWTGridDescription` | `getGridDescription(SWTGridDescription gridDescription)` Returns the GridDescription for this Renderer.

Methods inherited from class org.eclipse.emfforms.spi.swt.core.AbstractSWTRenderer
`finalizeRendering, init, render`

Methods inherited from class org.eclipse.emf.ecp.view.model.common.AbstractRenderer
`getVElement, getViewModelContext`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LabelSWTRenderer

    @Inject
    public LabelSWTRenderer(VLabel vElement,
                                   ViewModelContext viewContext,
                                   ReportService reportService,
                                   EMFFormsDatabinding emfFormsDatabinding,
                                   VTViewTemplateProvider vtViewTemplateProvider)

  Default Constructor.

  Parameters:
    `vElement` - the view element to be rendered
    `viewContext` - The view model context
    `reportService` - the ReportService to use
    `emfFormsDatabinding` - the EMFFormsDatabinding to use
    `vtViewTemplateProvider` - the VTViewTemplateProvider to use
  Since:
    1.6

Method Detail

### getGridDescription

    public SWTGridDescription getGridDescription(SWTGridDescription gridDescription)

  Returns the GridDescription for this Renderer.

  Specified by:
    `getGridDescription` in class `AbstractSWTRenderer<VLabel>`
  Parameters:
    `gridDescription` - the current `SWTGridDescription`
  Returns:
    the number of controls per row
  See Also:
    `AbstractSWTRenderer.getGridDescription(SWTGridDescription)`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.